Skip to main content
GET
/
pools
/
{address}
Pool
curl --request GET \
  --url https://dlmm.datapi.meteora.ag/pools/{address}
{
  "address": "<string>",
  "apr": 123,
  "apy": 123,
  "created_at": 1,
  "cumulative_metrics": {
    "protocol_fee": 123,
    "trade_fee": 123,
    "volume": 123
  },
  "current_price": 123,
  "dynamic_fee_pct": 123,
  "farm_apr": 123,
  "farm_apy": 123,
  "fee_tvl_ratio": {
    "12h": 123,
    "1h": 123,
    "24h": 123,
    "2h": 123,
    "30m": 123,
    "4h": 123
  },
  "fees": {
    "12h": 123,
    "1h": 123,
    "24h": 123,
    "2h": 123,
    "30m": 123,
    "4h": 123
  },
  "has_farm": true,
  "is_blacklisted": true,
  "name": "<string>",
  "pool_config": {
    "base_fee_pct": 123,
    "bin_step": 1,
    "max_fee_pct": 123,
    "protocol_fee_pct": 123
  },
  "protocol_fees": {
    "12h": 123,
    "1h": 123,
    "24h": 123,
    "2h": 123,
    "30m": 123,
    "4h": 123
  },
  "reserve_x": "<string>",
  "reserve_y": "<string>",
  "reward_mint_x": "<string>",
  "reward_mint_y": "<string>",
  "tags": [
    "<string>"
  ],
  "token_x": {
    "address": "<string>",
    "decimals": 1,
    "freeze_authority_disabled": true,
    "holders": 123,
    "is_verified": true,
    "market_cap": 123,
    "name": "<string>",
    "price": 123,
    "symbol": "<string>",
    "total_supply": 123
  },
  "token_x_amount": 123,
  "token_y": {
    "address": "<string>",
    "decimals": 1,
    "freeze_authority_disabled": true,
    "holders": 123,
    "is_verified": true,
    "market_cap": 123,
    "name": "<string>",
    "price": 123,
    "symbol": "<string>",
    "total_supply": 123
  },
  "token_y_amount": 123,
  "tvl": 123,
  "volume": {
    "12h": 123,
    "1h": 123,
    "24h": 123,
    "2h": 123,
    "30m": 123,
    "4h": 123
  },
  "launchpad": "<string>"
}

Path Parameters

address
string
required

Base58-encoded pool address

Response

address
string
required

Address of the liquidity pair

apr
number<double>
required

24 hour APR

apy
number<double>
required

24 hour APY

created_at
integer<int64>
required

Pool created at timestamp

Required range: x >= 0
cumulative_metrics
object
required

Cumulative metrics

current_price
number<double>
required

Price of the liquidity pair

dynamic_fee_pct
number<double>
required

Dynamic fee rate. Which is equal to base fee + variable fee.

farm_apr
number<double>
required

Farm reward apr

farm_apy
number<double>
required

Farm reward apy

fee_tvl_ratio
object
required

Fee TVL ratio in percentage in different timeframes

fees
object
required

Fee data in different timeframes

has_farm
boolean
required

Whether the pool has a farm or not

is_blacklisted
boolean
required

Flag to indicate whether the pair is blacklisted

name
string
required

Name of the liquidity pair

pool_config
object
required

Pool config

protocol_fees
object
required

Protocol fee data in different timeframes

reserve_x
string
required

Address of token X reserve of the liquidity pair

reserve_y
string
required

Address of token Y reserve of the liquidity pair

reward_mint_x
string
required

Address of the farming reward X of the liquidity pair

reward_mint_y
string
required

Address of the farming reward Y of the liquidity pair

tags
string[]
required

Tags of the pair

token_x
object
required

Token X of the liquidity pair

token_x_amount
number<double>
required

Token X amount the liquidity pair hold

token_y
object
required

Token Y of the liquidity pair

token_y_amount
number<double>
required

Token Y amount the liquidity pair hold

tvl
number<double>
required

Total liquidity the liquidity pair holding. Also known as Total Value Locked

volume
object
required

Volume data in different timeframes

launchpad
string | null

Launchpad of the pair